Subject: Re: bug#27397: [PATCH] New commands for bulk tracing of elisp functions

From: Dmitry Gutov <[email-masked]>
Date: Mon, 19 Jun 2017 15:50:00 +0300

On 6/19/17 3:05 PM, Michael Albinus wrote:

> So we shall parse indead every function for the library it belongs to. It
> shouldn't be too hard, based on `autoloadp', `find-lisp-object-file-name'
> and friends, see the implementation in `describe-function-1'. Something
> like this is a very rudimentary implementation:

I'm not sure I understand. This find the library to which a function 
belongs. How do we find the file corresponding to a package name this way?

This question aside, I'm not sure we'll always want to ignore "tramp-sh" 
when tracing "tramp". IOW, that this will be every user's preference.

For instance, someone might try to trace-package "cedet", and expect 
every function belonging to CEDET to be traced, subpackages and all.

And likewise for multi-file ELPA packages. In that case, it's understood 
that a "package" can be spread over several files.